View Issue Details

IDProjectCategoryView StatusLast Update
0002848Path[FreeCAD] Bugpublic2017-03-13 23:52
ReportermlampertAssigned Tomlampert 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformallOSallOS Versionall
Product Version[FreeCAD] 0.17 
Target Version[FreeCAD] 0.17Fixed in Version[FreeCAD] 0.17 
Summary0002848: HoldingTags dressup should not approximate all arcs with segments
DescriptionOnce the HoldingTags dressup is applied to a Contour, arcs of the same get approximated through a lot of segments, regardless if they are affected by the dressup or not.
Steps To ReproduceCreate Contour of a shape.
Set ShowNodes to true
Note that each arc is described by 3 nodes
Apply dressup: Path->Path Dressup->HoldingTags Dressup
Set ShowNodes to true
Note that each arc has a myriad of nodes on it - and no more center node.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

FreeCAD: master e76333f3

2017-01-13 02:39:23

mlampert

Details Diff
Fixed segmentation of xy-plane arcs, made # segments factor a property. Affected Issues
0002848
mod - src/Mod/Path/PathScripts/PathDressupHoldingTags.py Diff File
mod - src/Mod/Path/PathScripts/PathGeom.py Diff File

FreeCAD: master bbd606ac

2017-01-13 14:21:33

yorik


Committer: GitHub Details Diff
Merge pull request 0000434 from mlampert/HoldingTagArcs

Path: Holding tags fixes issue 2848
Affected Issues
0002848
mod - src/Mod/Path/PathScripts/PathDressupHoldingTags.py Diff File
mod - src/Mod/Path/PathScripts/PathGeom.py Diff File

Issue History

Date Modified Username Field Change
2017-01-12 21:48 mlampert New Issue
2017-01-12 21:48 mlampert Status new => assigned
2017-01-12 21:48 mlampert Assigned To => mlampert
2017-01-13 14:09 wmayer Changeset attached => FreeCAD Master master e76333f3
2017-01-13 14:09 wmayer Status assigned => closed
2017-01-13 14:09 wmayer Resolution open => fixed
2017-01-13 14:09 wmayer Fixed in Version => 0.17
2017-03-13 23:52 Kunda1 Changeset attached => FreeCAD master bbd606ac